Submit a ticketCall us

Bridging the ITSM Divide
Integrated help desk and remote support software for faster resolution

Join us on Wednesday, November 29, 2017 at 11 a.m. CT, as we discuss the benefits of effectively integrating your help desk software with remote support solutions to help increase the efficiency of IT administration, improve communication, and decrease mean time to resolution (MTTR) for IT issues of all sizes. This directly impacts end-user satisfaction and your business’ bottom line. Register Now.

Home > Success Center > Network Performance Monitor (NPM) > Cannot add or edit nodes: Mismatched action between sender and receiver

Cannot add or edit nodes: Mismatched action between sender and receiver

Updated May 31, 2017

Overview

This article describes the issue where you are unable to add or edit nodes on the Web Console after upgrading to NPM 12.1 and this is causing the following error in the diagnostic log:

Mismatched action between sender and receiver

Environment

  • NPM 12.1
  • Multiple polling engines

Cause 

This issue is caused by the following:

  • The additional polling engines have not been updated to the same version of NPM that the main polling engine was installed.
  • An error in the orion.web log file: 

    2017-05-24 15:03:23,883 [61] (5340) WARN  SolarWinds.Orion.Web.Platform.ApiRequest - (null)  An untrusted server certificate was received from endpoint 'https://xx.xxx.xx.xx/api2/features/'. RemoteCertificateNameMismatch
    2017-05-24 15:03:26,942 [99] (5341) ERROR SolarWinds.InformationService.Contract2.InfoServiceProxy - (null)  Error closing exception. System.ServiceModel.CommunicationObjectFaultedException: The communication object, System.ServiceModel.Channels.ServiceChannel, cannot be used for communication because it is in the Faulted state.

     

Resolution

Upgrade the additional polling engines (APE) to the same version as the main polling engine, otherwise, it will be unsupported and will cause different issues.

For example, upgrade from NPM 12.0 to 12.1 on the APEs, if the main polling engine is already on NPM 12.1.

See the Orion product installers for main poller, additional polling engine, additional web servers, and HA article for more information.

 

Last modified

Tags

Classifications

Public